package com.baoshi.swms.bean.dto;

import com.baoshi.swms.bean.Stocktaking;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 获取盘点信息
 *
 * @author Zhendong Zhou
 * @date 2021/12/17 13:23
 */
public class StocktakingData implements Serializable {
    private static final long serialVersionUID = 1001L;

    @SerializedName("sameDayInventoryCount")
    private Integer todayWorkNumber;

    @SerializedName("stocktakingTask")
    private Stocktaking stocktaking;

    @SerializedName("notStocktakingList")
    private ArrayList<HashMap<String,String>> notStocktakingList;

    public ArrayList<HashMap<String,String>> getNotStocktakingList() {
        return notStocktakingList;
    }

    public void setNotStocktakingList(ArrayList<HashMap<String,String>> notStocktakingList) {
        this.notStocktakingList = notStocktakingList;
    }

    public Stocktaking getStocktaking() {
        return stocktaking;
    }

    public void setStocktaking(Stocktaking stocktaking) {
        this.stocktaking = stocktaking;
    }

    public Integer getTodayWorkNumber() {
        return todayWorkNumber;
    }

    public void setTodayWorkNumber(Integer todayWorkNumber) {
        this.todayWorkNumber = todayWorkNumber;
    }
}
